Spotify
Get track metadata
Full metadata for a single track: artists, album, ISRC, duration and audio features.
Costs 2 credits per request.
Authorization
ApiKeyAuth X-API-Key<token>
API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.
In: header
Query Parameters
id*string
Spotify track ID.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/spotify/get_track?id=3n3Ppam7vgaVa1iaRUc9Lp"{ "id": "3n3Ppam7vgaVa1iaRUc9Lp", "title": "Midnight Lights", "artists": [ { "id": "4gzpq5DPGxSnKTe4SA8HAU", "name": "Neon Cartel" } ], "album": { "id": "string", "name": "Analogue Bloom", "release_date": "2024-03-15", "total_tracks": 0 }, "duration_ms": 214500, "explicit": true, "popularity": 74, "isrc": "GBUM72400123", "preview_url": "http://example.com", "audio_features": { "danceability": 0.72, "energy": 0.81, "tempo": 122.4, "valence": 0.55, "key": 0, "mode": 0 }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}